Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdService

All Superinterfaces:
  EJBObject, Remote

public interface AdService
extends EJBObject

The remote bean interface for the AdService.

This will return the actual content for ads. All ad query strings and expression should be full-realized and contain only literal values (no property references).

Nested Class Summary
`static class` | `AdService.AdCounts` Class that is generated by getAdCounts.

Method Summary
`void` | `cleanupAdService(String containerUID)` Cleanup the AdService removing all records specified by the passed in ContainerUID.
`String` | `getAdContent(Expression expr, long identifier, String containerUID, String contextUID, String placeholder, String userId, String servletBase, Request request, int height, int width)` Get the XHTML ad content for a content object and record an impression.
`String` | `getAdContent(String query, long identifier, String containerUID, String contextUID, String placeholder, String userId, String servletBase, Request request, int height, int width)` Deprecated. Use getAdContenxt(Expression, ...) instead
`Collection` | `getAdCounts(Collection contentPaths, String containerUID)` return of collection of ad counts
`Node[]` | `getContent(Expression expr)` Deprecated. Use getContent(Expression, Request) instead.
`Node[]` | `getContent(Expression expr, Request request)` Return an array of content which match the ad query expression
`Node[]` | `getContent(String adQuery)` Deprecated. Use getContent(Expression, Request) instead.
`Collection` | `getContentIds(Expression expr)` Deprecated. Use getContentPaths(Expression, Request) instead.
`Collection` | `getContentIds(String adQuery)` Deprecated. Use getContentPaths(Expression, Request) instead.
`Collection` | `getContentPaths(Expression expr)` Deprecated. Use getContentPaths(Expression, Request) instead.
`Collection` | `getContentPaths(Expression expr, Request request)` Return a collection of content paths which match the ad query expression.
`void` | `recordClickThru(String contentPath, String containerUID, String contextUID, String placeholder, String userId, Request request)` Update the click thru count for an ad
`void` | `recordDisplay(Node c, String containerUID, String contextUID, String placeholder, String userId, Request request)` Update the display count for an ad.
`String` | `renderContent(Node c, long identifier, String servletBase, int height, int width, int options)` Return the rendered XHTML for the content object.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### cleanupAdService

    public void cleanupAdService(String containerUID)
                          throws RemoteException,
                                 ContentException

  Cleanup the AdService removing all records specified by the passed in ContainerUID.

  Parameters:
    `containerUID` - containerUID identifying the records to be removed
  Throws:
    `RemoteException`
    `ContentException`

### getAdContent

    public String getAdContent(Expression expr,
                               long identifier,
                               String containerUID,
                               String contextUID,
                               String placeholder,
                               String userId,
                               String servletBase,
                               Request request,
                               int height,
                               int width)
                        throws AdContentException,
                               RemoteException

  Get the XHTML ad content for a content object and record an impression.

  Parameters:
    `expr` - the content management query expression
    `identifier` - a indentifier for the content bucket the query is from
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder
    `userId` - the user Id
    `servletBase` - the Web App root for the click thru servlet
    `request` - the HTTP request
    `height` - the suggested content height
    `width` - the suggested content width
  Returns:
    an XHMLT content descrption for the ad
  Throws:
    `AdContent` - if there is a problem getting the content
    `AdContentException`
    `RemoteException`

### getAdContent

    public String getAdContent(String query,
                               long identifier,
                               String containerUID,
                               String contextUID,
                               String placeholder,
                               String userId,
                               String servletBase,
                               Request request,
                               int height,
                               int width)
                        throws AdContentException,
                               RemoteException

  Deprecated. Use getAdContenxt(Expression, ...) instead

  Get the XHTML ad content for a content object and record an impression.

  Parameters:
    `identifier` - a indentifier for the content bucket the query is from
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder
    `userId` - the user Id
    `servletBase` - the Web App root for the click thru servlet
    `request` - the HTTP request
    `height` - the suggested content height
    `width` - the suggested content width
  Returns:
    an XHMLT content descrption for the ad
  Throws:
    `AdContent` - if there is a problem getting the content
    `AdContentException`
    `RemoteException`
  See Also:
    `getAdContent(com.bea.p13n.expression.Expression, long, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.bea.p13n.http.Request, int, int)`

### getAdCounts

    public Collection getAdCounts(Collection contentPaths,
                                  String containerUID)
                           throws RemoteException,
                                  SQLException

  return of collection of ad counts

  Parameters:
    `contentPaths` - the content path
    `containerUID` - the UID of the container
  Throws:
    `RemoteException`
    `SQLException`

### getContent

    public Node[] getContent(Expression expr)
                      throws RemoteException,
                             AdContentException

  Deprecated. Use getContent(Expression, Request) instead.

  Return an array of content which match the ad query expression.

  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`
  See Also:
    `getContent(com.bea.p13n.expression.Expression, com.bea.p13n.http.Request)`

### getContent

    public Node[] getContent(Expression expr,
                             Request request)
                      throws RemoteException,
                             AdContentException

  Return an array of content which match the ad query expression

  Parameters:
    `request` - the copy of the http request (null if not available).
  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`

### getContent

    public Node[] getContent(String adQuery)
                      throws RemoteException,
                             AdContentException

  Deprecated. Use getContent(Expression, Request) instead.

  Return an array of content which match the ad query string.

  Parameters:
    `adQuery` - The content query string
  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`
  See Also:
    `getContent(com.bea.p13n.expression.Expression, com.bea.p13n.http.Request)`

### getContentIds

    public Collection getContentIds(Expression expr)
                             throws RemoteException,
                                    AdContentException

  Deprecated. Use getContentPaths(Expression, Request) instead.

  Return a collection of content paths which match the ad query expression.

  Parameters:
    `expr` - The content query expression
  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`
  See Also:
    `getContentPaths(com.bea.p13n.expression.Expression, com.bea.p13n.http.Request)`

### getContentIds

    public Collection getContentIds(String adQuery)
                             throws RemoteException,
                                    AdContentException

  Deprecated. Use getContentPaths(Expression, Request) instead.

  Return a collection of content paths which match the ad query string.

  Parameters:
    `adQuery` - The content query string
  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`
  See Also:
    `getContentPaths(com.bea.p13n.expression.Expression, com.bea.p13n.http.Request)`

### getContentPaths

    public Collection getContentPaths(Expression expr)
                               throws RemoteException,
                                      AdContentException

  Deprecated. Use getContentPaths(Expression, Request) instead.

  Return a collection of content paths which match the ad query expression.

  Parameters:
    `expr` - The content query expression
  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`
  See Also:
    `getContentPaths(com.bea.p13n.expression.Expression, com.bea.p13n.http.Request)`

### getContentPaths

    public Collection getContentPaths(Expression expr,
                                      Request request)
                               throws RemoteException,
                                      AdContentException

  Return a collection of content paths which match the ad query expression.

  Parameters:
    `expr` - The content query expression
    `request` - the copy of the http request (null if not available).
  Throws:
    `AdContentException` - when the ad content cannot be found.
    `RemoteException`

### recordClickThru

    public void recordClickThru(String contentPath,
                                String containerUID,
                                String contextUID,
                                String placeholder,
                                String userId,
                                Request request)
                         throws RemoteException,
                                SQLException

  Update the click thru count for an ad

  Parameters:
    `contentPath` - The content object path
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder
    `userId` - the user Id
    `request` - the HTTP request
  Throws:
    `RemoteException`
    `SQLException`

### recordDisplay

    public void recordDisplay(Node c,
                              String containerUID,
                              String contextUID,
                              String placeholder,
                              String userId,
                              Request request)
                       throws RemoteException,
                              SQLException

  Update the display count for an ad.

  Parameters:
    `c` - The content object
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder
    `userId` - the user Id
    `request` - the HTTP request
  Throws:
    `RemoteException`
    `SQLException`

### renderContent

    public String renderContent(Node c,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException,
                                RemoteException

  Return the rendered XHTML for the content object.

  Parameters:
    `c` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `options` - The options for the rendering
  Throws:
    `AdContentException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved